Loading...
Searching...
No Matches
OgreFrustum.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMovableObject.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreVertexIndexData.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::Frustum
| A frustum represents a pyramid, capped at the near and far end which is used to represent either a visible area or a projection area. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::FrustumPlane : uint8 { Ogre::FRUSTUM_PLANE_NEAR = 0 , Ogre::FRUSTUM_PLANE_FAR = 1 , Ogre::FRUSTUM_PLANE_LEFT = 2 , Ogre::FRUSTUM_PLANE_RIGHT = 3 , Ogre::FRUSTUM_PLANE_TOP = 4 , Ogre::FRUSTUM_PLANE_BOTTOM = 5 }
| Worldspace clipping planes. More...
enum | Ogre::ProjectionType : uint8 { Ogre::PT_ORTHOGRAPHIC , Ogre::PT_PERSPECTIVE }
| Specifies perspective (realistic) or orthographic (architectural) projection. More...